Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  BricsCAD
  LSP expected FUNCTION at [eval]

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für BricsCAD
Autor Thema:  LSP expected FUNCTION at [eval] (242 mal gelesen)
Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3354
Registriert: 07.06.2001

W10-64bit, AMD Ryzen 7 3700X,32GB RAM, Sapphire Pulse Radeon RX 570 8G G5, Canon TX-3000 MFP, Maus Cherry MW4500, Sub:Infrastructure Design Suite, Office 365

erstellt am: 26. Sep. 2022 13:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Servus,

bin gerade beim Umstieg von Autocad auf BricsCAD. Hab auch diverse LSP anzupassen.

Das LSP endet derzeit mit dem Fehler "; expected FUNCTION at [eval]" in Autocad läuft es...
Wenn ich 1. Fehler auskommentiere bleibt er beim 2. hängen.

Code:
(defun C:PDFautoPaper (/ LX LY RX RY DX DY DYDX PMStab)
(if (=(getvar "ctab") "Model") ((alert "Bist im Modelbereich, bitte in Layout wechseln ") exit)); Prüft ob auf P geplottet wird
(command "_-psetupin" "C:\\@Office - AutoCAD\\Supportpfade-Vorlagen\\acad.dwt" "PDF" "J")
(command "_-psetupin" "C:\\@Office - AutoCAD\\Supportpfade-Vorlagen\\acad.dwt" "PDFA4" "J")
(command "_-psetupin" "C:\\@Office - AutoCAD\\Supportpfade-Vorlagen\\acad.dwt" "PDFA4q" "J")
(command "_-psetupin" "C:\\@Office - AutoCAD\\Supportpfade-Vorlagen\\acad.dwt" "PDFA3" "J")
(command "_-psetupin" "C:\\@Office - AutoCAD\\Supportpfade-Vorlagen\\acad.dwt" "PDFA3q" "J")
(command "_pspace" "regenall" "_zoom" "_e")
(command "_-xref" "_r" "*")
(command "_mspace" "_pspace")
(setq LX (atof(rtos (car (getvar "extmin")) 2 3)))
(setq LY (atof(rtos (cadr (getvar "extmin")) 2 3)))
(setq RX (atof(rtos (car (getvar "extmax")) 2 3)))
(setq RY (atof(rtos (cadr (getvar "extmax")) 2 3)))
(setq DX (- RX LX))
(setq DY (- RY LY))
(princ  DX )
(princ DY )


(if (> DY 10)
  (
  (setq PMStab "1:1") <<<< 1.Fehler
  ;(alert PMStab)
  (setq DYDX (strcat (rtos DY 2 0) "x" (rtos DX 2 0))) <<<< 2.Fehler
  (princ DYDX)
  (Update)(Plot)
  )
  (
  (setq PMStab "1000:1")
  (setq PMStab "1000:1")
  (setq DYDX (strcat (rtos (* DY 1000) 2 0) "x" (rtos (* DX 1000) 2 0)))
  (Update)(Plot) 
  ) 
)

;(princ LY)
;(princ RX)
;(princ RY)
)

(defun Update()
()
(command "_-insert" "Kopf  Rahmen Plan=Kopf Layout Rahmen Plan.dwg" ())
(command "_-insert" "Kopf Layout Rahmen Plan=Kopf Layout Rahmen Plan.dwg" ())
)

(defun Plot ()
(if (> DX DY)
  (setq PAusrichtung "Quer")
  (setq PAusrichtung "Hoch")
)
(if
(wcmatch DYDX "210x297,297x210,420x297,297x420,420x594,594x420,840x594,594x840,840x1188,1188x840"); nur mehr die DIN A Formate enthalten
((command "_-plot" "_y" "" "PDF-XChange Lite.pc3" DYDX "m" PAusrichtung "" "Grenzen" PMStab "_c" "_y" "" "" "" "" "" "" "_Y" "_Y"))
((command "_-plot" "_y" "" "PDF-XChange Lite.pc3" "_5080x5080" "m" "HOCH" "" "Grenzen" PMStab "_c" "_y" "" "" "" "" "" "" "_Y" "_Y")))
)



Code:
;
; ----- Error around expression -----
; (SETQ PMSTAB "1:1")
; in file :
; C:\@Office - AutoCAD\Supportpfade\Lisp2Scripts\PDFautoPaper_BricsCAD.lsp
;
; error : no function definition <(SETQ PMSTAB "1:1")> ; expected FUNCTION at [eval]

------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. Schöne Grüsse aus der Steiermark  Bernd P.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADwiesel
Moderator
CAD4FM UG




Sehen Sie sich das Profil von CADwiesel an!   Senden Sie eine Private Message an CADwiesel  Schreiben Sie einen Gästebucheintrag für CADwiesel

Beiträge: 1959
Registriert: 05.09.2000

AutoCAD, Bricscad
Wir machen das Mögliche unmöglich

erstellt am: 26. Sep. 2022 13:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bernd P 10 Unities + Antwort hilfreich

versuch's mal mit einem (progn nach dem (if
vielleicht hilft das ja schon.

------------------
Gruß
CADwiesel
Besucht uns im CHAT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3354
Registriert: 07.06.2001

W10-64bit, AMD Ryzen 7 3700X,32GB RAM, Sapphire Pulse Radeon RX 570 8G G5, Canon TX-3000 MFP, Maus Cherry MW4500, Sub:Infrastructure Design Suite, Office 365

erstellt am: 26. Sep. 2022 14:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke. progn an diversen Stellen hat geholfen.

------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. Schöne Grüsse aus der Steiermark  Bernd P.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Ehrenmitglied V.I.P. h.c.
良い精神



Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21295
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 26. Sep. 2022 23:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bernd P 10 Unities + Antwort hilfreich

auch in AutoCAD, denn "1:1" noch der resultierende String aus (strcat (rtos DY 2 0) "x" (rtos DX 2 0)) ist eine Funktion..
Wenn das bei dir im AutoCAD läuft, dann stimmt was nicht (denke ich, so beim überfliegen..)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3354
Registriert: 07.06.2001

W10-64bit, AMD Ryzen 7 3700X,32GB RAM, Sapphire Pulse Radeon RX 570 8G G5, Canon TX-3000 MFP, Maus Cherry MW4500, Sub:Infrastructure Design Suite, Office 365

erstellt am: 27. Sep. 2022 07:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

¯\_(ツ _/¯ Autocad läufts....

------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. Schöne Grüsse aus der Steiermark  Bernd P.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1338
Registriert: 11.01.2006

WIN 10
ACAD 2022

erstellt am: 27. Sep. 2022 13:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bernd P 10 Unities + Antwort hilfreich

BricsCAD verzeiht nicht so viel wie AutoCAD, hab ich auch schon gemerkt.
Bei mir kommt der Umstieg erst so Ende des Jahres aber ich hab schon mal testen können und da ist mir einiges aufgefallen.
Das müsste man mal zusammenschreiben damit es Umsteiger einfacher haben.

mledit z.B. werd ich wohl demnächst in Lisp nachprogrammieren (hab noch nichts gescheites gefunden)
Hier ist zwar was aber das muss ich erst noch testen wenn ich dann BricsCAD hab.
https://www.lt-extender.de/lt-extender/deutsch/inhalte/bcadtools/files/BcadTools.en_US.htm?MLEdit.html

Wenn man per Lisp Layouts löscht dann Löscht AutoCAD das letzte layout einfach nicht, BricsCAD bricht mit ner Fehlermeldung ab.

Solche kleine aber wichtige Unterschiede gibts einige aber eine Auflistung hab ich noch keine gesehen (oder übersehen) das wär vielleicht praktisch.

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KlaK
Ehrenmitglied V.I.P. h.c.
Dipl. Ing. Vermessung, CAD- und Netz-Admin



Sehen Sie sich das Profil von KlaK an!   Senden Sie eine Private Message an KlaK  Schreiben Sie einen Gästebucheintrag für KlaK

Beiträge: 2585
Registriert: 02.05.2006

BricsCAD V11 - V22 Pro
Visual Basic

erstellt am: 27. Sep. 2022 14:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bernd P 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Andreas Kraus:
mledit z.B. werd ich wohl demnächst in Lisp nachprogrammieren (hab noch nichts gescheites gefunden)
Hier ist zwar was aber das muss ich erst noch testen wenn ich dann BricsCAD hab.
https://www.lt-extender.de/lt-extender/deutsch/inhalte/bcadtools/files/BcadTools.en_US.htm?MLEdit.html


Da wirst Du aber viel zum Nachprogrammieren haben, denn bei allen Funktionen von MLEdit heißt es : " BcadTools: diese Funktion ist noch nicht fertiggestellt "
Ist sehr schade, ich warte da auch schon länger drauf ...

Grüße
Klaus 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1338
Registriert: 11.01.2006

WIN 10
ACAD 2022

erstellt am: 28. Sep. 2022 13:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Bernd P 10 Unities + Antwort hilfreich

Schau dir mal das Wetter an, das ist doch ideal um sich in der warmen Stube etwas zu schreiben 
Hab ja auch schon recht viel was mir die Multilinien analysiert und bearbeitet, da kann ich hoffentlich einiges verwenden.

Wen ich das fertig hab geb ich Bescheid, kann aber etwas dauern 

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz